Package qsardes.descriptor.qsarwb

# Class QsarWBMolecularDistanceEdge

java.lang.Object
qsardes.descriptor.DescriptorMolecularDistanceEdge
qsardes.descriptor.qsarwb.QsarWBMolecularDistanceEdge

All Implemented Interfaces:
  `Descriptor`

public final class QsarWBMolecularDistanceEdge extends DescriptorMolecularDistanceEdge
Molecular distance edge descriptors (QSAR-WB Descriptors).
Calculates molecular distance edge descriptors using the CDK MDEDescriptor class.
Returns
MDEC-11 - Molecular distance edge between all primary carbons
MDEC-12 - Molecular distance edge between all primary and secondary carbons
MDEC-13 - Molecular distance edge between all primary and tertiary carbons
MDEC-14 - Molecular distance edge between all primary and quaternary carbons
MDEC-22 - Molecular distance edge between all secondary carbons
MDEC-23 - Molecular distance edge between all secondary and tertiary carbons
MDEC-24 - Molecular distance edge between all secondary and quaternary carbons
MDEC-33 - Molecular distance edge between all tertiary carbons
MDEC-34 - Molecular distance edge between all tertiary and quaternary carbons
MDEC-44 - Molecular distance edge between all quaternary carbons
MDEO-11 - Molecular distance edge between all primary oxygens
MDEO-12 - Molecular distance edge between all primary and secondary oxygens
MDEO-22 - Molecular distance edge between all secondary oxygens
MDEN-11 - Molecular distance edge between all primary nitrogens
MDEN-12 - Molecular distance edge between all primary and secondary nitrogens
MDEN-13 - Molecular distance edge between all primary and tertiary niroqens
MDEN-22 - Molecular distance edge between all secondary nitroqens
MDEN-23 - Molecular distance edge between all secondary and tertiary nitrogens
MDEN-33 - Molecular distance edge between all tertiary nitrogens

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QsarWBMolecularDistanceEdge()`

- ## Method Summary

  ### Methods inherited from class qsardes.descriptor.DescriptorMolecularDistanceEdge

  `get_descriptor_names, get_descriptor_type, get_descriptor_values, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QsarWBMolecularDistanceEdge

    public QsarWBMolecularDistanceEdge()